summaryrefslogtreecommitdiffstats
path: root/debian/samba.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 17:20:02 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 17:20:02 +0000
commit0a354ad0b2c9eaaa204c31db478da109dc6d2a8b (patch)
tree2467caa8ad20a7fca31bef64224e41a4238db0c9 /debian/samba.postrm
parentAdding upstream version 2:4.20.0+dfsg. (diff)
downloadsamba-debian/2%4.20.0+dfsg-1_exp1.tar.xz
samba-debian/2%4.20.0+dfsg-1_exp1.zip
Adding debian version 2:4.20.0+dfsg-1~exp1.debian/2%4.20.0+dfsg-1_exp1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/samba.postrm26
1 files changed, 26 insertions, 0 deletions
diff --git a/debian/samba.postrm b/debian/samba.postrm
new file mode 100644
index 0000000..0c0131e
--- /dev/null
+++ b/debian/samba.postrm
@@ -0,0 +1,26 @@
+#! /bin/sh -e
+
+set -e
+
+if [ "$1" = purge ]; then
+
+ if [ -e /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+ db_purge
+ fi
+
+ if [ "$(readlink /etc/systemd/system/samba-ad-dc.service)" = '/dev/null' ]; then
+ # Remove masking done by postinst (#832352)
+ rm /etc/systemd/system/samba-ad-dc.service
+ fi
+
+ if [ -f /etc/apparmor.d/samba/smbd-shares ]; then
+ rm /etc/apparmor.d/samba/smbd-shares
+ fi
+
+ # compat symlink for a dir used for print jobs in the past
+ rm -f /var/spool/samba
+
+fi
+
+#DEBHELPER#